## factory-boy 1.0.4

=== debian/changelog ===
factory-boy (1.0.4-1) unstable; urgency=low

  * Initial release.

 -- Ghe Rivero <ghe.rivero@stackops.com>  Tue, 14 Feb 2012 11:54:35 +0100
