=== debian/control ===
Source: factory-boy
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 7.0.50), python-dev (>=2.6.6-3~)
Standards-Version: 3.9.2
Homepage: https://github.com/rbarrois/factory_boy
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/factory-boy.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/factory-boy.git
X-Python-Version: >= 2.6

Package: factory-boy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
Description: test fixtures replacement based on thoughtbot's factory_girl for Ruby.
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl . Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 Django support is included, and support for other ORMs can be easily added.
