## factory-boy 1.1.3

=== debian/changelog ===
factory-boy (1.1.3-1) unstable; urgency=low

  * New upstream release
  * Rename binary to python-factory-boy (Closes: #663397)

 -- Ghe Rivero <ghe.rivero@stackops.com>  Sat, 10 Mar 2012 23:20:09 +0100

factory-boy (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Mon, 05 Mar 2012 19:13:53 +0100
