=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Ghe Rivero <ghe.rivero@stackops.com>
 Build-Depends: debhelper (>= 7.0.50), python-dev (>=2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/rbarrois/factory_boy
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/factory-boy.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/factory-boy.git
 X-Python-Version: >= 2.6
 
-Package: factory-boy
+Package: python-factory-boy
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 Description: test fixtures replacement based on thoughtbot's factory_girl for Ruby.
