=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
# export DH_VERBOSE=1

%:
	dh $@ --with python2
