## factory-boy 2.0.2

=== debian/changelog ===
factory-boy (2.0.2-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release.
  * Switched to debhelper / compat level 9.
  * Bumped StandardVersion.
  * Switched Architecture: to all instead of any (there's no arch dependent
    things that I can see in the produced binary).

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 May 2013 05:33:18 +0000

factory-boy (1.1.5-1) experimental; urgency=low

  * New upstream release.
  * Added a get-vcs-source and debian/gbp.conf file.
  * Added everyone in the team as uploaders.
  * Switching to openstack-pkg-tools unified packaging.
  * Removed X-Python-Version: >= 2.6.
  * Added predepends on dpkg 1.15.6~, and using xz compression.
  * Fixed long and short descrition syntax to please lintian.
  * Fixed multiple small problems in debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Oct 2012 12:06:03 +0000
