=== debian/control ===
Source: factory-boy
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-all (>=2.6.6-3~), openstack-pkg-tools
Standards-Version: 3.9.4
Homepage: https://github.com/rbarrois/factory_boy
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/factory-boy.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/factory-boy.git

Package: python-factory-boy
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
Description: test fixtures replacement based on thoughtbot's factory_girl for Ruby
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.
