=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

UPSTREAM_GIT = git://github.com/rbarrois/factory_boy.git

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2 --buildsystem=python_distutils
