=== debian/watch ===
version=3
http://pypi.python.org/packages/source/f/factory_boy/factory_boy-(.+).tar.gz debian uupdate
#https://github.com/rbarrois/factory_boy/tags /rbarrois/.*/archive/factory_boy-(\d[\d\.]+)\.tar\.gz
