=== debian/changelog ===
factory-boy (2.4.1-4) unstable; urgency=medium

  * Added Suggests: python-factory-boy-doc (Closes: #787282).
  * Added dh-python build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Jun 2015 08:39:54 +0200

factory-boy (2.4.1-3) unstable; urgency=medium

  * Add a patch to call django.setup() if using Django 1.7 in the unit tests.
    This fixes FTBFS (Closes: #764837).
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Oct 2014 04:36:54 +0000

factory-boy (2.4.1-2) unstable; urgency=medium

  * Disabled broken a test (Closes: #759914).

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Aug 2014 19:33:07 +0000

factory-boy (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed debian/copyright to include the current maintainer.
  * Added Python 3 support (Closes: #753558).
  * Added sphinx doc.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Jul 2014 15:10:32 +0800

factory-boy (2.3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #746631).
  * Standards-Version is now 3.9.5.
  * Now running unit tests at build time.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 May 2014 22:56:03 +0800
