=== debian/control ===
Source: factory-boy
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-django,
                     python-mock,
                     python-unittest2,
                     python3-django,
                     python3-mock
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/factory-boy.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/factory-boy.git
Homepage: https://github.com/rbarrois/factory_boy

Package: python-factory-boy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: python-factory-boy-doc
Description: test fixtures replacement based on factory_girl for Ruby - Python 2.x
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.
 .
 This package provides the Python 2.x module.

Package: python3-factory-boy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-factory-boy-doc
Description: test fixtures replacement based on factory_girl for Ruby - Python 3.x
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.
 .
 This package provides the Python 3.x module.

Package: python-factory-boy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
Description: test fixtures replacement based on factory_girl for Ruby - doc
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.
 .
 This package provides the documentation.
