## factory-boy 2.7.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 PACKAGE=factory
 TESTS_DIR=tests
 DOC_DIR=docs
+EXAMPLES_DIR=examples
 
 # Use current python binary instead of system default.
 COVERAGE = python $(shell which coverage)
@@ -18,10 +19,22 @@
 	@rm -rf tmp_test/
 
 
+install-deps:
+	pip install --upgrade pip setuptools
+	pip install --upgrade -r requirements_dev.txt
+	pip freeze
+
+testall:
+	tox
+
 test:
-	python -W default setup.py test
+	python -Wdefault -m unittest $(TESTS_DIR)
 
-pylint:
+example-test:
+	$(MAKE) -C $(EXAMPLES_DIR) test
+
+lint:
+	check-manifest
 	pylint --rcfile=.pylintrc --report=no $(PACKAGE)/
 
 coverage:
@@ -34,4 +47,4 @@
 	$(MAKE) -C $(DOC_DIR) html
 
 
-.PHONY: all default clean coverage doc pylint test
+.PHONY: all default clean coverage doc install-deps pylint test
