=== debian/changelog ===
factory-boy (2.7.0-2) unstable; urgency=medium

  * Team upload
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * Added python-sphinx-rtd-theme to build depends (Closes: #830402)

 -- Ondřej Nový <onovy@debian.org>  Sat, 16 Jul 2016 11:25:17 +0200

factory-boy (2.7.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release (v2.6.1)
  * Added python(3)-wheel build dependency.
  * Fixed VCS url (https).
  * Removed disable-a-test-in-test_existing_file.patch
  * Removed add-django-1.7-compat-with-new-django.setup.patch
  * Rebased and fixed debian/patches/removed-privacy-breach.patch
  * d/copyright fixed.

  [ Christopher Baines ]
  * New upstream release (v2.7.0)
  * Add myself to Uploaders
  * Add build dependencies on fake-factory and python-ipaddress
  * Bump Standards-Version to 3.9.8 (no changes required)
  * Change the gbp.conf upstream-tag to include the v prefix, as this
    makes git-buildpackage able to find the tags

 -- Christopher Baines <mail@cbaines.net>  Thu, 12 May 2016 14:06:22 +0000
