=== debian/control ===
--- 
+++ 
@@ -2,23 +2,29 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>,
+Uploaders: Thomas Goirand <zigo@debian.org>, Christopher Baines <mail@cbaines.net>
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
                python-setuptools,
                python-sphinx,
+               python-sphinx-rtd-theme,
                python3-all,
                python3-setuptools
 Build-Depends-Indep: python-django,
                      python-mock,
                      python-unittest2,
+                     python-wheel,
+                     python-ipaddress,
+                     python-fake-factory,
                      python3-django,
-                     python3-mock
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/factory-boy.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/factory-boy.git
+                     python3-mock,
+                     python3-wheel,
+                     python3-fake-factory,
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/factory-boy.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/factory-boy.git
 Homepage: https://github.com/rbarrois/factory_boy
 
 Package: python-factory-boy
