=== examples/requirements.txt ===
-r flask_alchemy/requirements.txt
