=== debian/changelog ===
factory-boy (2.8.1-2) unstable; urgency=medium

  * Don't require ipaddress for Python 3+.

 -- Brian May <bam@debian.org>  Thu, 05 Jan 2017 20:24:39 +1100

factory-boy (2.8.1-1) unstable; urgency=medium

  * New upstream version.
  * Fix missing depends on ipaddress (Closes: #833037).

 -- Brian May <bam@debian.org>  Thu, 05 Jan 2017 12:30:16 +1100
