=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: factory-boy
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>, Christopher Baines <mail@cbaines.net>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -23,8 +23,8 @@
                      python3-wheel,
                      python3-fake-factory,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/factory-boy.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/factory-boy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/factory-boy.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/factory-boy.git
 Homepage: https://github.com/rbarrois/factory_boy
 
 Package: python-factory-boy
