=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/rbarrois/factory_boy.git
+UPSTREAM_GIT := https://github.com/rbarrois/factory_boy.git
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+GIT_TAG := "v$(GIT_TAG)"
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
