=== debian/changelog ===
factory-boy (2.11.1-5) unstable; urgency=medium

  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 10:43:55 +0100

factory-boy (2.11.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Contact, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Sandro Tosi ]
  * debian/gbp.conf
    - remove unnecessary file, containing options contrary to DPT policy

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Apr 2022 21:26:22 -0400

factory-boy (2.11.1-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Bump Standards-Version to 4.4.0.
  * Drop Python 2 support.

  [ Andrey Rahmatullin ]
  * Fix running tests with recent Django.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 15 Aug 2019 22:34:31 +0500

factory-boy (2.11.1-2) unstable; urgency=medium

  * Team upload.
  * Add real autopkgtest cases.

 -- Joseph Herlant <aerostitch@debian.org>  Mon, 07 Jan 2019 21:43:52 -0800

factory-boy (2.11.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Joseph Herlant ]
  * New upstream version 2.11.1
  * d/gbp.conf: make sure pristine-tar is disabled.
  * d/gbp.conf: change the branches to work after the salsa migration.
  * Use the new debhelper-compat(=12) notation and drop d/compat.
  * Bump Standards-Version to 4.3.0.
  * Refresh patches with the new version.
  * Add build dependency on sqlalchemy.
  * Add build dependency on mongoengine.
  * d/rules: cleanup old rules.
  * Backport support for python 3.7 from upstream. (Closes: #910318)
  * Depend on python3 for sphinx.
  * Removing dependency on openstack-pkg-tools.
  * Fix package-does-not-install-examples.
  * Add a d/upstream/metadata file for DEP-12.
  * d/control: add automatic autopkgtest.
  * d/control: update homepage link.

 -- Joseph Herlant <aerostitch@debian.org>  Sun, 06 Jan 2019 16:39:57 -0800
