=== debian/control ===
Source: factory-boy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-all,
               python3-setuptools
Build-Depends-Indep:
                     python3-sqlalchemy,
                     python3-mongoengine,
                     python3-django,
                     python3-mock,
                     python3-wheel,
                     python3-fake-factory,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/factory-boy
Vcs-Git: https://salsa.debian.org/python-team/packages/factory-boy.git
Homepage: https://github.com/FactoryBoy/factory_boy

Package: python3-factory-boy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-factory-boy-doc
Description: test fixtures replacement based on factory_girl for Ruby - Python 3.x
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.
 .
 This package provides the Python 3.x module.

Package: python-factory-boy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
Description: test fixtures replacement based on factory_girl for Ruby - doc
 factory_boy is a fixtures replacement based on thoughtbot's factory_girl. Like
 factory_girl it has a straightforward definition syntax, support for multiple
 build strategies (saved instances, unsaved instances, attribute dicts, and
 stubbed objects), and support for multiple factories for the same class,
 including factory  inheritance.
 .
 Django support is included, and support for other ORMs can be easily added.
 .
 This package provides the documentation.
