=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=factory-boy
export SKIP_MONGOENGINE=1
# needed for the test_force_flush_deprecation test
export PYTHONWARNINGS=default

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs $(CURDIR)/debian/python-factory-boy-doc/usr/share/doc/python-factory-boy-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif
