=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/factory_boy-$1\.tar\.gz/ \
  https://github.com/FactoryBoy/factory_boy/tags .*/v?(\d\S+)\.tar\.gz
