## factory-boy 3.3.1

=== debian/changelog ===
factory-boy (3.3.1-3) unstable; urgency=medium

  * [6e23076] d/control: Add profile <!nodoc> to B-D python3-fake-factory
  * [6492945] Revert "d/control: Re-add Testsuite: autopkgtest-pkg-python"
    Using this simply test isn't possible as the test tries to use the wrong
    module name due the package name, 'factory_boy' != 'factory'.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 19 Sep 2024 08:43:28 +0200

factory-boy (3.3.1-2) unstable; urgency=medium

  * Team upload
  * [1df16a1] d/control: Re-add needed package python3-fake-factory
  * [ab823e1] autopkgtest: Re-add python3-fake-factory here too

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 Sep 2024 23:20:06 +0200

factory-boy (3.3.1-1) unstable; urgency=medium

  * Team upload

  [ Carsten Schoenert ]
  * [75449c7] d/gbp.conf: Re-add some sane defaults for git-buildpackage
  * [e0112ca] d/watch: Switch version 4 and Git mode on GitHub
  * [0298414] d/*: Run wrap-and-sort -astk
  * [088e1bd] d/control: Sort binary packages alphabatical
  * [15df2db] d/control: Re-add Testsuite: autopkgtest-pkg-python
  * [b6a5d4f] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * [b9cb65d] New upstream version 3.3.1
    (Closes: #1080106)
  * [108f8c0] Rebuild patch queue from patch-queue branch
    Added patches:
    docs-Use-intersphix-with-Debian-packages.patch

    Renamed patch:
    removed-privacy-breach.patch
    -> docs-Remove-sideloading-of-external-badges.patch

    Dropped patches (included upstream):
    0003-Add-ipaddress-to-depends.patch
    0005-Fix-test-for-Django-2.2.patch
    compatibility_python37.patch
    django-4.patch
    extlinks-placeholder.patch
    python-3.12.patch

  * [54e8e67] d/control: Update B-D, adding BuildProfileSpecs data
  * [33c51ee] d/control: Adding Rules-Requires-Root: no
  * [5a69bcd] d/rules: Drop --with option from default target
  * [c37e952] d/rules: Drop export of not needed anymore variables
  * [1e90f77] d/rules: Provide setup.cfg for the test suite
  * [358dbc1] d/rules: Clean out .mypy_cache while dh_clean
  * [4c613f3] autopkgtest: Run upstream test suite again
  * [1f89cb5] d/control: Drop ${shlibs:Depends} in binary packages
  * [f6db99b] d/copyright: Update upstream and year data
  * [950e70b] d/README.source: Add basic information about source
  * [e018ac6] d/control: Set Multi-Arch: foreign for -doc package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 Sep 2024 20:24:54 +0200

factory-boy (2.11.1-8) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-mock

  [ Pushkar Kulkarni ]
  * d/control/test: Comment out unit-test-p3 which runs no tests
    (Closes: #1061796)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 02 Jun 2024 12:43:18 +0200

factory-boy (2.11.1-7) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to make the tests pass with Python 3.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 09 Nov 2023 13:13:26 +0300

factory-boy (2.11.1-6) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix extlinks placeholder (closes: #1042624).
  * Backport upstream patch to support Django 4.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 Nov 2023 14:45:59 +0300
