## factory-boy 3.3.3

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,13 @@
 TESTS_DIR=tests
 DOC_DIR=docs
 EXAMPLES_DIR=examples
+SETUP_PY=setup.py
 
 # Use current python binary instead of system default.
 COVERAGE = python $(shell which coverage)
 FLAKE8 = flake8
+ISORT = isort
+CTAGS = ctags
 
 
 all: default
@@ -29,7 +32,7 @@
 # DOC: Install and/or upgrade dependencies
 update:
 	pip install --upgrade pip setuptools
-	pip install --upgrade -r requirements_dev.txt
+	pip install --upgrade --editable .[dev,doc]
 	pip freeze
 
 
@@ -37,7 +40,7 @@
 	fullrelease
 
 
-.PHONY: clean update release-patch release-minor release-major
+.PHONY: clean update release
 
 
 # Tests and quality
@@ -49,8 +52,17 @@
 	tox
 
 # DOC: Run tests for the currently installed version
+# Remove cgi warning when dropping support for Django 3.2.
 test:
-	python -Wdefault -m unittest $(TESTS_DIR)
+	mypy --ignore-missing-imports tests/test_typing.py
+	python \
+		-b \
+		-X dev \
+		-Werror \
+		-Wignore:::mongomock: \
+		-Wignore:::mongomock.__version__: \
+		-Wignore:::pkg_resources: \
+		-m unittest
 
 # DOC: Test the examples
 example-test:
@@ -61,18 +73,29 @@
 # Note: we run the linter in two runs, because our __init__.py files has specific warnings we want to exclude
 # DOC: Perform code quality tasks
 lint:
-	$(FLAKE8) --config .flake8 --exclude $(PACKAGE)/__init__.py $(PACKAGE)
-	$(FLAKE8) --config .flake8 --ignore F401 $(PACKAGE)/__init__.py
+	$(FLAKE8) --exclude $(PACKAGE)/__init__.py $(EXAMPLES_DIR) $(PACKAGE) $(SETUP_PY) $(TESTS_DIR)
+	$(FLAKE8) --ignore F401 $(PACKAGE)/__init__.py
+	$(ISORT) --check-only --diff $(EXAMPLES_DIR) $(PACKAGE) $(SETUP_PY) $(TESTS_DIR)
 	check-manifest
 
 coverage:
 	$(COVERAGE) erase
-	$(COVERAGE) run "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py" --branch setup.py test
-	$(COVERAGE) report "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"
-	$(COVERAGE) html "--include=$(PACKAGE)/*.py,$(TESTS_DIR)/*.py"
+	$(COVERAGE) run --branch -m unittest
+	$(COVERAGE) report
+	$(COVERAGE) html
 
 
 .PHONY: test testall example-test lint coverage
+
+
+# Development
+# ===========
+
+# DOC: Generate a "tags" file
+TAGS:
+	$(CTAGS) --recurse $(PACKAGE) $(TESTS_DIR)
+
+.PHONY: TAGS
 
 
 # Documentation
@@ -81,8 +104,13 @@
 
 # DOC: Compile the documentation
 doc:
-	$(MAKE) -C $(DOC_DIR) html
+	$(MAKE) -C $(DOC_DIR) SPHINXOPTS="-n -W" html
 
+linkcheck:
+	$(MAKE) -C $(DOC_DIR) linkcheck
+
+spelling:
+	$(MAKE) -C $(DOC_DIR) SPHINXOPTS=-W spelling
 
 # DOC: Show this help message
 help:
@@ -109,4 +137,4 @@
 	    }'
 
 
-.PHONY: doc help
+.PHONY: doc linkcheck help
