=== debian/changelog ===
factory-boy (3.3.3-1) unstable; urgency=medium

  * Team upload
  * [97bd65c] New upstream version 3.3.3
  * [a0ea9d2] d/control: Bump Standards-Version to 4.7.2
  * [8e7c1f4] d/copyright: Update  year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 10 Mar 2025 18:57:56 +0200
