=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-sqlalchemy <!nocheck>,
  python3-sphinx  <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/factory-boy
 Vcs-Git: https://salsa.debian.org/python-team/packages/factory-boy.git
 Homepage: https://github.com/FactoryBoy/factory_boy
