=== debian/tests/control ===
Tests: unit-tests-p3
Depends:
 python3-all,
 python3-django,
 python3-fake-factory,
 python3-mongoengine,
 python3-mongomock,
 python3-pytest,
 python3-sqlalchemy,
 @,
Restrictions: build-needed, allow-stderr

Tests: django-example
Depends:
 python3-django,
 @,
Restrictions: allow-stderr
